package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kommons.vector.Vector2d
import ru.dbotthepony.kstarbound.world.Direction
import ru.dbotthepony.kstarbound.world.World

class PathController(val world: World<*, *>, var edgeTimer: Double = 0.0) {
	var startPosition: Vector2d? = null
		private set
	var endPosition: Vector2d? = null
		private set
	var controlFace: Direction? = null
		private set

	fun reset() {
		edgeTimer = 0.0
		startPosition = null
		endPosition = null
		controlFace = null
	}

	val isPathfinding: Boolean
		get() = TODO()
}
